package com.kodcu;

import javax.json.Json;
import javax.json.JsonArrayBuilder;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

/**
 * Created by usta on 06.04.2014.
 */
public class App {

    public static void main(String[] args) {

        EntityManagerFactory emf =
                Persistence.createEntityManagerFactory("type-conversion-pu");
        EntityManager em = emf.createEntityManager();
        EntityTransaction trx = em.getTransaction();

        JsonArrayBuilder arrayBuilder = Json.createArrayBuilder();
        arrayBuilder
                .add("Java")
                .add("Linux")
                .add("Json")
                .add("JPA"); // Yetenekler diziye ekleniyor.

        Programmer programmer=new Programmer();
        programmer.setName("Meherrem Mehmedov");
        programmer.setTitle("Java Developer");

        programmer.setSkills(arrayBuilder.build()); // JsonArray set ediliyor.

        trx.begin();
            em.persist(programmer); // DB'ye kazınıyor.
        trx.commit();
    }
}
